Bug 1724154 (CVE-2019-11040) - CVE-2019-11040 php: Buffer over-read in exif_read_data()
Summary: CVE-2019-11040 php: Buffer over-read in exif_read_data()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11040
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1724156 1726662 1726663 1726664 1726665 1726666 1772835 1857696
Blocks: 1724158
TreeView+ depends on / blocked
 
Reported: 2019-06-26 11:10 UTC by Dhananjay Arunesh
Modified: 2020-09-08 09:45 UTC (History)
6 users (show)

Fixed In Version: php 7.1.30, php 7.2.19, php 7.3.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:48:11 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3727 0 None None None 2019-11-06 10:12:51 UTC
Red Hat Product Errata RHSA-2019:2519 0 None None None 2019-08-19 08:43:04 UTC
Red Hat Product Errata RHSA-2019:3299 0 None None None 2019-11-01 13:01:08 UTC
Red Hat Product Errata RHSA-2020:1624 0 None None None 2020-04-28 15:32:01 UTC
Red Hat Product Errata RHSA-2020:3662 0 None None None 2020-09-08 09:45:53 UTC

Description Dhananjay Arunesh 2019-06-26 11:10:44 UTC
When PHP EXIF extension is parsing EXIF information from an image, e.g. via exif_read_data() function, in PHP versions 7.1.x below 7.1.30, 7.2.x below 7.2.19 and 7.3.x below 7.3.6 it is possible to supply it with data what will cause it to read past the allocated buffer. This may lead to information disclosure or crash.

Reference:
https://bugs.php.net/bug.php?id=77988

Comment 1 Dhananjay Arunesh 2019-06-26 11:12:34 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1724156]

Comment 6 errata-xmlrpc 2019-08-19 08:43:03 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 7 Product Security DevOps Team 2019-08-19 08:48:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11040

Comment 8 errata-xmlrpc 2019-11-01 13:01:07 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:3299 https://access.redhat.com/errata/RHSA-2019:3299

Comment 10 errata-xmlrpc 2020-04-28 15:31:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1624 https://access.redhat.com/errata/RHSA-2020:1624

Comment 12 errata-xmlrpc 2020-09-08 09:45:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3662 https://access.redhat.com/errata/RHSA-2020:3662


Note You need to log in before you can comment on or make changes to this bug.